import javax.swing.*;
import java.awt.Graphics;
import java.awt.*;
import java.awt.event.*;
import java.awt.geom.*;

public class HosgeldinizP extends JPanel
{  
 String isim;
 public HosgeldinizP()
 {isim=JOptionPane.showInputDialog("isminizi giriniz : ");}
  
 public void paint(Graphics g)
 {
 Graphics2D g2=(Graphics2D)g;
 g2.setFont(new Font("Serif",Font.ITALIC,24));
 g2.drawString("Java sınıfına Hoşgeldiniz " + isim,50,50);
 }

}

